# MAX7456JSON

MAX7456JSON is an Arduino project for generating TUI interfaces on weird old school devices.

## Build

Use PlatFormIO [PlatformIO](https://platformio.org/) to build the project.

```bash
pip install platformio
git clone https://code.jcktrue.dk/jct/MAX7456JSON
pio run -t upload
```

## Usage

Send JSON commands over the serial port

```json
{"command":"write","x":1,"y":2,"text":"testing"}
```

# Documentation

Low level API documentation is auto generated and pushed to 
[API docs](https://share.jcktrue.dk/MAX7456JSON/dev/docs/)

# Download
Ready made firmware images can be downloaded as HEX files.

- [Unstable](https://share.jcktrue.dk/MAX7456JSON/dev/)
- [Releases](https://share.jcktrue.dk/MAX7456JSON/)


## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.


## License
[MIT](https://choosealicense.com/licenses/mit/)